# Contributing
Bot identification is challenging and we welcome contributions to improve it.

## Code changes
To make code changes to the library or tests please:
1. Fork the project on GitHub
2. Ensure the unit and integration tests pass, including the examples. See the [Testing section](https://github.com/BryanMorgan/isbot#testing) in the README for more details.
3. Update or provide documentation for your changes
4. Create a Pull Request on GitHub

## Bot Identification Updates
To add or update the bot identification regular expressions defined in [bot_regex_patterns.txt](./src/bot_regex_patterns.txt), you can either [open an issue](https://github.com/BryanMorgan/isbot/issues/new/choose) or create a Pull Request using the same code change process defined above.

Use a similar process to update the bot or browser static or dynamic test data fixtures defined in the [test fixtures](./fixtures/).

## Make a Suggestion
If you have suggestions for improvements or challenges using the library please feel free to [open an issue](https://github.com/BryanMorgan/isbot/issues/new/choose) and describe how we can help.
